import { ChangeDetectorRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SearchableJsonViewerComponent {
    private cdr;
    json: any;
    private expandedNodes;
    searchTerm: string;
    navigateId: any;
    totalHighlightsSize: number;
    constructor(cdr: ChangeDetectorRef);
    handleKeyPress(event: KeyboardEvent): void;
    ngOnInit(): void;
    ngAfterContentChecked(): void;
    makeExpandable: (data: any) => void;
    isObject(value: any): boolean;
    isArray(value: any): boolean;
    getObjectKeys(obj: any): string[];
    toggleNode(node: any): void;
    isNodeExpanded(node: any): boolean;
    isCheckCondition: (value: any) => boolean;
    searchJson(searchText: any): void;
    next: () => void;
    prev: () => void;
    getTotalHighlights: () => number;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchableJsonViewerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchableJsonViewerComponent, "searchable-json-viewer", never, { "json": { "alias": "json"; "required": false; }; }, {}, never, never, false, never>;
}
